---
title: <li>
slug: Web/HTML/Element/li
tags:
  - Element
  - HTML
  - HTML grouping content
  - Reference
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;li&gt;</code> element</strong> is used to represent an item in a list.</span> It must be contained in a parent element: an ordered list ({{HTMLElement("ol")}}), an unordered list ({{HTMLElement("ul")}}), or a menu ({{HTMLElement("menu")}}). In menus and unordered lists, list items are usually displayed using bullet points. In ordered lists, they are usually displayed with an ascending counter on the left, such as a number or letter.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/li.html", "tabbed-shorter")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The end tag can be omitted if the list item is immediately followed by another {{HTMLElement("li")}} element, or if there is no more content in its parent element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>An {{HTMLElement("ul")}}, {{HTMLElement("ol")}}, or {{HTMLElement("menu")}} element. Though not a conforming usage, the obsolete {{HTMLElement("dir")}} can also be a parent.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Listitem_role">listitem</a></code> when child of an <code><a href="/en-US/docs/Web/HTML/Element/ol">ol</a></code>, <code><a href="/en-US/docs/Web/HTML/Element/ul">ul</a></code> or <code><a href="/en-US/docs/Web/HTML/Element/menu">menu</a></code></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("menuitem")}}, {{ARIARole("menuitemcheckbox")}}, {{ARIARole("menuitemradio")}}, {{ARIARole("option")}}, {{ARIARole("none")}}, {{ARIARole("presentation")}}, {{ARIARole("radio")}}, {{ARIARole("separator")}}, {{ARIARole("tab")}}, {{ARIARole("treeitem")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLLIElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("value")}}</dt>
 <dd>This integer attribute indicates the current ordinal value of the list item as defined by the {{HTMLElement("ol")}} element. The only allowed value for this attribute is a number, even if the list is displayed with Roman numerals or letters. List items that follow this one continue numbering from the value set. The <strong>value</strong> attribute has no meaning for unordered lists ({{HTMLElement("ul")}}) or for menus ({{HTMLElement("menu")}}).
 <div class="note"><strong>Note</strong>: This attribute was deprecated in HTML4, but reintroduced in HTML5.</div>
 </dd>
 <dt>{{htmlattrdef("type")}} {{Deprecated_inline}}</dt>
 <dd>This character attribute indicates the numbering type:
 <ul>
  <li><code>a</code>: lowercase letters</li>
  <li><code>A</code>: uppercase letters</li>
  <li><code>i</code>: lowercase Roman numerals</li>
  <li><code>I</code>: uppercase Roman numerals</li>
  <li><code>1</code>: numbers</li>
 </ul>
 This type overrides the one used by its parent {{HTMLElement("ol")}} element, if any.

 <div class="note"><strong>Note:</strong> This attribute has been deprecated; use the CSS {{cssxref("list-style-type")}} property instead.</div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>For more detailed examples, see the {{htmlelement("ol")}} and {{htmlelement("ul")}} pages.</p>

<h3 id="Ordered_list">Ordered list</h3>

<pre class="brush: html notranslate">&lt;ol&gt;
    &lt;li&gt;first item&lt;/li&gt;
    &lt;li&gt;second item&lt;/li&gt;
    &lt;li&gt;third item&lt;/li&gt;
&lt;/ol&gt;
</pre>

<p>{{EmbedLiveSample("Ordered_list")}}</p>

<h3 id="Ordered_list_with_a_custom_value">Ordered list with a custom value</h3>

<pre class="brush: html notranslate">&lt;ol type="I"&gt;
    &lt;li value="3"&gt;third item&lt;/li&gt;
    &lt;li&gt;fourth item&lt;/li&gt;
    &lt;li&gt;fifth item&lt;/li&gt;
&lt;/ol&gt;
</pre>

<p>{{EmbedLiveSample("Ordered_list_with_a_custom_value")}}</p>

<h3 id="Unordered_list">Unordered list</h3>

<pre class="brush: html notranslate">&lt;ul&gt;
    &lt;li&gt;first item&lt;/li&gt;
    &lt;li&gt;second item&lt;/li&gt;
    &lt;li&gt;third item&lt;/li&gt;
&lt;/ul&gt;</pre>

<p>{{EmbedLiveSample("Unordered_list")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-li-element', '&lt;li&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'grouping-content.html#the-li-element', '&lt;li&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/lists.html#h-10.2', '&lt;li&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>The <code>type</code> attribute has been deprecated.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.li")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other list-related HTML Elements: {{HTMLElement("ul")}}, {{HTMLElement("ol")}}, {{HTMLElement("menu")}}, and the obsolete {{HTMLElement("dir")}};</li>
 <li>CSS properties that may be specially useful to style the <code>&lt;li&gt;</code> element:
  <ul>
   <li>the {{cssxref("list-style")}} property, to choose the way the ordinal is displayed,</li>
   <li><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">CSS counters</a>, to handle complex nested lists,</li>
   <li>the {{cssxref("margin")}} property, to control the indent of the list item.</li>
  </ul>
 </li>
</ul>
